package ch.phoenixtechnologies.quarkus.commons.clock;

import io.quarkus.test.junit.QuarkusTest;
import jakarta.inject.Inject;
import org.junit.jupiter.api.Test;

import java.time.Clock;

import static org.assertj.core.api.Assertions.assertThat;
import static org.junit.jupiter.api.Assertions.*;

@QuarkusTest
class ClockProducerTest {

    @Inject
    Clock clock;

    @Test
    void produceClock() {
        assertThat(clock.getZone())
                .as("Produced clock's zone should match expected value")
                .isEqualTo(Clock.systemDefaultZone().getZone());
    }
}